[project]
name = 'newsreader'
version = '0.4.4'
authors = [{name = 'Sonny', email= 'sonnyba871@gmail.com'}]
license = {text = 'GPL-3.0'}
requires-python = '>=3.11'
dependencies = [
  'django~=3.2',
  'celery~=5.0',
  'psycopg2',

  'django-axes',
  'django-celery-beat~=2.5.0',
  'django-registration-redux~=2.7',
  'django-rest-framework',
  'drf-yasg',

  'python-memcached',
  'python-dotenv~=0.12',

  'ftfy~=5.8',

  'requests',
  'requests_oauthlib',

  'feedparser',
  'bleach',
  'beautifulsoup4',
  'lxml'
]

[project.optional-dependencies]
testing = [
  'factory-boy',
  'freezegun',
  'black',
  'isort',
  'autoflake',
  'tblib',
]

development = [
  'pip-tools>=6.13.0',
  'django-debug-toolbar',
  'django-extensions',
]

ci = ['coverage>=5.3.1']

production = ['gunicorn~=20.0', 'sentry-sdk~=1.0']
